create procedure sistema.sp_guardarApartado
@numModulo int,
@numId int,
@txtIcono varchar(150),
@txtTitulo varchar(300),
@txtDescripcion text,
@txtTipo char(1),
@txtNombreArchivo varchar(300),
@numSuperior int,
@numNivel int,
@numMantenimiento bit,
@numUsuario int,
@dbResponse varchar(300) output,
@dbId int output
as
begin
	set nocount on;

	if @numId = 0
		begin
			insert into sistema.det_apartados(idModulo,icono,titulo,descripcion,tipo,nombreArchivo,idSuperior,nivel,mantenimiento,idUsuario) values(@numModulo,@txtIcono,@txtTitulo,@txtDescripcion,@txtTipo,@txtNombreArchivo,@numSuperior,@numNivel,@numMantenimiento,@numUsuario);
			select @dbId = SCOPE_IDENTITY();
		end
	else	
		begin
			set @dbId = @numId;
			update sistema.det_apartados  set icono = @txtIcono,titulo = @txtTitulo,descripcion = @txtDescripcion,tipo = @txtTipo,nombreArchivo = @txtNombreArchivo,mantenimiento = @numMantenimiento,ultimaActualizacion = GETDATE() where id = @dbId;
		end

	set @dbResponse = 'success';
end